import { DemensionPagesInter } from './../../types'
const shangBiaoSelectList = [
  { text: '全部分类', value: '' },
  { text: '化学原料', value: 1 },
  { text: '颜料油漆', value: 2 },
  { text: '日化用品', value: 3 },
  { text: '燃料油脂', value: 4 },
  { text: '医药', value: 5 },
  { text: '金属材料', value: 6 },
  { text: '机械设备', value: 7 },
  { text: '手工器械', value: 8 },
  { text: '科学仪器', value: 9 },
  { text: '医疗器械', value: 10 },
  { text: '灯具空调', value: 11 },
  { text: '运输工具', value: 12 },
  { text: '军火烟火', value: 13 },
  { text: '珠宝钟表', value: 14 },
  { text: '乐器', value: 15 },
  { text: '办公品', value: 16 },
  { text: '橡胶制品', value: 17 },
  { text: '皮革皮具', value: 18 },
  { text: '建筑材料', value: 19 },
  { text: '家具', value: 20 },
  { text: '厨房洁具', value: 21 },
  { text: '绳网袋篷', value: 22 },
  { text: '纱线丝', value: 23 },
  { text: '布料床单', value: 24 },
  { text: '服装鞋帽', value: 25 },
  { text: '钮扣拉链', value: 26 },
  { text: '地毯席垫', value: 27 },
  { text: '键身器材', value: 28 },
  { text: '食品', value: 29 },
  { text: '方便食品', value: 30 },
  { text: '饲料种籽', value: 31 },
  { text: '啤酒饮料', value: 32 },
  { text: '酒', value: 33 },
  { text: '烟草烟具', value: 34 },
  { text: '广告销售', value: 35 },
  { text: '金融物管', value: 36 },
  { text: '建筑修理', value: 37 },
  { text: '通讯服务', value: 38 },
  { text: '运输贮藏', value: 39 },
  { text: '材料加工', value: 40 },
  { text: '教育娱乐', value: 41 },
  { text: '网站服务', value: 42 },
  { text: '餐饮住宿', value: 43 },
  { text: '医疗园艺', value: 44 },
  { text: '社会服务', value: 45 }
]


const returnShangBiaoStatus = (stamp: string) => {
  return {
    '1': '商标已注册',
    '2': '商标无效',
    '3': '初审公告',
    '4': '等待实质审查',
    '5': '商标申请中',
    '6': '商标异议中',
    '7': '驳回复审中',
    '8': '商标其他情况'
  }[stamp]
}
export const ZhiShiChanQuan: DemensionPagesInter = {
  projectName: '知识产权',
  list: [
    {
      code: 'trade_mark',
      routing: 'ShangBiao',
      title: '商标',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      menuList: [
        {
          paramsValue: 'intCls',
          value: '',   // v-model绑定的值
          list: shangBiaoSelectList
        }
      ],
      viewList: [
        {
          value: 'logo',
          solt: (item: { logo: string }) => `http://tm-image.tianyancha.com${item.logo}`,
          valueType: 'logo'
        },
        {
          value: 'tmName',
          valueType: 'title'
        },
        {
          value: 'status',
          solt: (item: { status: string }) => {
            return returnShangBiaoStatus(item.status)
          },
          valueType: 'tag'
        },
        {
          name: '注册号',
          value: 'regNo'
        },
        {
          name: '国际分类',
          value: 'intCls',
          solt: (item: { intCls: string }) => {
            const val = shangBiaoSelectList.find(valItem => {
              return valItem.value === ~~item.intCls
            })
            return `${item.intCls}类 - ${val?.text}`
          }
        },
        {
          name: '申请日期',
          value: 'appDate',
          valueType: 'date'
        }
      ]
    }
  ]
}
